HepMC3 event record library: Data Fields - Variables

HepMC3 event record library

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - m -

- m_applyRelation : Recursive< Relation_type >
- m_associated : AssociatedParticle
- m_attributes : GenEvent, GenRunInfo
- m_bins : AnalysisExample
- m_branch_name : ReaderRootTree, WriterRootTree
- m_buffer : WriterAscii, WriterAsciiHepMC2, WriterDOT
- m_buffer_size : WriterAscii, WriterAsciiHepMC2, WriterDOT
- m_char_buffer_size : HepMC3ViewerFrame
- m_checkedObjects : Recursive< Relation_type >
- m_cursor : WriterAscii, WriterAsciiHepMC2, WriterDOT
- m_data : GenParticle, GenVertex, ReaderAscii
- m_debug_level : Setup
- m_Ebeam : WriterRootTreeOPAL
- m_end_vertex : GenParticle
- m_end_vertex_barcodes : ReaderAsciiHepMC2
- m_errors_level : Setup
- m_errs : AnalysisExample
- m_event : Attribute, GenParticle, GenVertex
- m_event_bytes_written : Writerprotobuf
- m_event_data : ReaderRootTree, WriterRootTree
- m_event_ghost : ReaderAsciiHepMC2
- m_event_number : GenEvent
- m_events : ReaderMT< T, m_number_of_threads >
- m_events_count : ReaderRootTree, WriterHEPEVT, WriterRoot, WriterRootTree
- m_events_written : Writerprotobuf
- m_evt_pb : Readerprotobuf
- m_failed : ReaderLHEF
- m_file : AnalysisExample, ReaderAscii, ReaderAsciiHepMC2, ReaderHEPEVT, ReaderRoot, ReaderRootTree, WriterAscii, WriterAsciiHepMC2, WriterDOT, WriterHEPEVT, WriterRoot, WriterRootTree
- m_float_printf_specifier : WriterAscii, WriterAsciiHepMC2
- m_go_try_cache : ReaderMT< T, m_number_of_threads >
- m_gri_pb : Readerprotobuf
- m_hdr_pb : Readerprotobuf
- m_hepevt_interface : ReaderHEPEVT, WriterHEPEVT
- m_hepevtptr : HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- m_hepr : ReaderLHEF
- m_id : GenParticle, GenVertex
- m_Ievnt : WriterRootTreeOPAL
- m_in_stream : Readerprotobuf
- m_in_zcistream : Readerprotobuf
- m_in_zcstream : Readerprotobuf
- m_inf_zcstream : Readerprotobuf
- m_internal : Feature< Feature_type, typename std::enable_if< std::is_floating_point< Feature_type >::value, void >::type >, Feature< Feature_type, typename std::enable_if< std::is_integral< Feature_type >::value, void >::type >, GenericFeature< Feature_type >, SelectorWrapper< Feature_type >
- m_internal_storage : HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- m_io_explicit : ReaderAscii
- m_io_explicit_ids : ReaderAscii
- m_io_implicit : ReaderAscii
- m_io_implicit_ids : ReaderAscii
- m_Irun : WriterRootTreeOPAL
- m_is_parsed : Attribute
- m_is_printing_errors : Setup
- m_is_printing_warnings : Setup
- m_isstream : ReaderAscii, ReaderAsciiHepMC2, ReaderHEPEVT
- m_length_unit : GenEvent
- m_lock_attributes : GenEvent, GenRunInfo
- m_max_particles : HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static
- m_md_pb : Readerprotobuf
- m_momentum_unit : GenEvent
- m_name : AttributeFeature
- m_neve : ReaderLHEF
- m_next : ReaderRoot
- m_object : Recursive< Relation_type >::idInterface< ID_type >
- m_options : Reader, Writer
- m_out_file : Writerprotobuf
- m_out_stream : Writerprotobuf
- m_particle : Attribute
- m_particle_cache : ReaderAsciiHepMC2
- m_particle_cache_ghost : ReaderAsciiHepMC2
- m_particle_counter : WriterAsciiHepMC2
- m_particle_printf_specifier : WriterAscii
- m_particles : GenEvent
- m_particles_in : GenVertex
- m_particles_out : GenVertex
- m_precision : WriterAscii, WriterAsciiHepMC2
- m_production_vertex : GenParticle
- m_reader : ReaderGZ< T >, ReaderLHEF, ReaderPlugin
- m_readers : ReaderMT< T, m_number_of_threads >
- m_rootvertex : GenEvent
- m_run_info : GenEvent, Reader, Writer
- m_run_info_data : ReaderRootTree, WriterRootTree
- m_shared_stream : ReaderAscii, ReaderAsciiHepMC2, ReaderHEPEVT, ReaderLHEF, Readerprotobuf, WriterAscii, WriterAsciiHepMC2, WriterHEPEVT, Writerprotobuf
- m_storage : ReaderLHEF
- m_stream : AnalysisExample, ReaderAscii, ReaderAsciiHepMC2, ReaderHEPEVT, WriterAscii, WriterAsciiHepMC2, WriterDOT, WriterHEPEVT
- m_string : Attribute
- m_style : WriterDOT
- m_sum_of_weights : AnalysisExample
- m_sum_of_weights2 : AnalysisExample
- m_threads : ReaderMT< T, m_number_of_threads >
- m_tools : GenRunInfo
- m_tree : ReaderRootTree, WriterRootTree
- m_tree_name : ReaderRootTree, WriterRootTree
- m_v1 : FourVector
- m_v2 : FourVector
- m_v3 : FourVector
- m_v4 : FourVector
- m_val : BoolAttribute, CharAttribute, DoubleAttribute, FloatAttribute, IntAttribute, LongAttribute, LongDoubleAttribute, LongLongAttribute, UIntAttribute, ULongAttribute, ULongLongAttribute, VectorCharAttribute, VectorDoubleAttribute, VectorFloatAttribute, VectorIntAttribute, VectorLongDoubleAttribute, VectorLongIntAttribute, VectorLongLongAttribute, VectorStringAttribute, VectorUIntAttribute, VectorULongAttribute, VectorULongLongAttribute
- m_vals : AnalysisExample
- m_vertex : Attribute
- m_vertex_barcodes : ReaderAsciiHepMC2
- m_vertex_cache : ReaderAsciiHepMC2
- m_vertex_cache_ghost : ReaderAsciiHepMC2
- m_vertex_long_printf_specifier : WriterAscii
- m_vertex_short_printf_specifier : WriterAscii
- m_vertices : GenEvent
- m_warnings_level : Setup
- m_weight_indices : GenRunInfo
- m_weight_names : GenRunInfo
- m_weights : GenEvent
- m_writer : WriterGZ< T, C >, WriterPlugin
- m_zstr : ReaderGZ< T >, WriterGZ< T, C >
- MASS : StandardSelector
- mass : GenParticleData
- max : Cut
- maxmult : MergeInfo
- maxweight : XSecInfo
- meanweight : XSecInfo
- mergeinfo : HEPRUP
- mergingscale : MergeInfo
- min : Cut
- momentum : GenParticleData
- momentum_unit : GenEventData
- MOTHUP : HEPEUP
- muf : Scales, WeightInfo
- mups : Scales
- mur : Scales, WeightInfo